For discussion of Alpine Linux development and developer support

1

[alpine-devel] testing/kde-workspace: Fix creating link, added paxctl rule

k0r10n
Details
Message ID
<CAJ=x5H=QrV4CVCuKxtik9eMqNpd9iXQmGcZSe+WOL0yjo+C-7g@mail.gmail.com>
Sender timestamp
1414214057
DKIM signature
missing
Download raw message
---
 testing/kde-workspace/APKBUILD | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/testing/kde-workspace/
APKBUILD b/testing/kde-workspace/APKBUILD
index 320bf2d..1c332ec 100644
--- a/testing/kde-workspace/APKBUILD
+++ b/testing/kde-workspace/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=kde-workspace
 pkgver=4.13.3
-pkgrel=0
+pkgrel=1
 pkgdesc="base kde applications"
 url="http://www.kde.org/"
 arch="x86 x86_64"
@@ -14,7 +14,7 @@ depends_dev="kde-runtime-dev qimageblitz-dev
libxkbfile-dev
             libxcomposite-dev libxtst-dev libxcb-dev xcb-util-dev
             xcb-util-image-dev xcb-util-keysyms-dev xcb-util-renderutil-dev
             pciutils-dev linux-pam-dev libusb-compat-dev lm_sensors-dev"
-makedepends="$depends_dev cmake automoc4"
+makedepends="$depends_dev cmake automoc4 paxctl"
 install="$pkgname.pre-install"
 subpackages="$pkgname-dev $pkgname-doc"
 source="
http://download.kde.org/stable/${pkgver}/src/${pkgname}-4.11.11.tar.xz
@@ -58,9 +58,10 @@ package() {
        cd "$_builddir"/build
        make DESTDIR="$pkgdir" install || return 1
        mkdir -p "$pkgdir"/usr/share/xsessions || return 1
-       ln -sf "$pkgdir"/usr/share/apps/kdm/sessions/kde-plasma.desktop \
+       ln -sf /usr/share/apps/kdm/sessions/kde-plasma.desktop \
                "$pkgdir"/usr/share/xsessions/kde-plasma.desktop || return 1
        install -Dm755 "$srcdir"/kdm.initd "$pkgdir"/etc/init.d/kdm ||
return 1
+       paxctl -c -mps "$pkgdir"/usr/bin/systemsettings || return 1
 }

 md5sums="cbd3311713b42d4856c66281fbe7a212  kde-workspace-4.11.11.tar.xz
--
2.0.0
Natanael Copa
Details
Message ID
<20141030142010.1a777736@ncopa-desktop.alpinelinux.org>
In-Reply-To
<CAJ=x5H=QrV4CVCuKxtik9eMqNpd9iXQmGcZSe+WOL0yjo+C-7g@mail.gmail.com> (view parent)
Sender timestamp
1414675210
DKIM signature
missing
Download raw message
On Sat, 25 Oct 2014 05:14:17 +0000
k0r10n <k0r10n.dev@gmail.com> wrote:

> Content-Type: multipart/alternative; boundary=089e01175f6b8e176b0506385e02
>
> --089e01175f6b8e176b0506385e02
> Content-Type: text/plain; charset=UTF-8
>
> ---
>  testing/kde-workspace/APKBUILD | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)


git does not like multipart emails. It also appears that you MUA
wrapped some line.

please use git format-patch in future.

I applied manually.

Thanks!


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---